Bug 807021 - RFE: Prevent ovirt-node from being installed on a non-ovirt-node-image based system.
RFE: Prevent ovirt-node from being installed on a non-ovirt-node-image based ...
Status: CLOSED CANTFIX
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Mike Burns
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 15:13 EDT by Mike Burns
Modified: 2016-04-26 12:07 EDT (History)
7 users (show)

See Also:
Fixed In Version: 2.6.0
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-05 09:44:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Burns 2012-03-26 15:13:08 EDT
Description of problem:
ovirt node is not designed to be installed on a regular system.  It expects total control over the system and can cause problems if it's installed on a regular base system like Fedora 16 or RHEL.  

We should find a way to prevent it from installing on a system that is not an ovirt-node image

Version-Release number of selected component (if applicable):
2.3.0

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Can we conflict with some package that get's installed on a base OS system that doesn't go into ovirt-node?  

Can we detect that we're in a chroot and fail if not?

Can we detect if we're a subprocess of livecd-creator/livemedia-creator?
Comment 1 Mike Burns 2013-02-05 09:44:20 EST
No real way to handle this easily, especially with plugin support.

Note You need to log in before you can comment on or make changes to this bug.